# loki.expression.tests.test_symbols

Functions

`test_procedure_symbols`() | Test produre symbols and internal function call operators
`test_symbol_recreation`() | Test the correct construction and re-construction of our symbol objects.
`test_variable_symbols`() | Test the default symbol creation and attributes of variable symbols

test_variable_symbols()

  Test the default symbol creation and attributes of variable symbols

test_procedure_symbols()

  Test produre symbols and internal function call operators

test_symbol_recreation()

  Test the correct construction and re-construction of our symbol objects.